<?
/*
====================
Автор: WiZcaS
Модуль: Рейтинг пользователя
====================
*/
// Это если перейти на файл прямо user/info/rating.php то будет писать что ниже 
defined('SYS') or die('Ты че тут забыл? by_Tw1nGo (WiZcaS)'); ///// Нехер тут шариться
//// Настройки
$balls = 'balls';///Баллы
$money = 'money';///Монеты
$times = NULL;
$type_balls = 'баллов';
$type_money = 'монет';
$cols = 50;///Количество валюты
$rait = 2;//// Количество рейтинга
//$times = 'AND `time` > '".$time."''; //// Расскоментируйте если хотите чтоб голосовать можно раз в сутки
?>
<style>
a.rating{
display:inline-block;
padding:3px 8px 3px 8px;
background: #618aee;
color: #fff;
border-radius:30px;
margin:3px;
font-weight:600;
}
</style>
<?
$rating = (!empty($_GET['rating']) ? abs(intval($_GET['rating'])) : NULL);
if(!empty($user) && $user['id'] != $ank['id']){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user_voice2` WHERE `id_kont` = '".$ank['id']."' AND `id_user` = '".$user['id']."' $times  LIMIT 1 "),0)!=1){
if($rating && $rating > 0 && $rating <=5 && !empty($user) && $user['id'] != $ank['id']){
if($user[''.$balls.''] <= 50){
$_SESSION['message'] = 'У вас недостаточно '.$type_balls.' ,минимум '.$cols.'!';
header("Location: info.php?id=".$ank['id']);
exit();
}
elseif($user['rating'] <= $rait){
$_SESSION['message'] = 'У вас недостаточно рейтинга,минимум 2%!';
header("Location: info.php?id=".$ank['id']);
exit();
}
else{
mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '".$user['id']."' AND `id_kont` = '".$ank['id']."' LIMIT 1");
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`,`time`) VALUES ('".$rating."','".$user['id']."','".$ank['id']."','".($time+3600*24)."')");
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '[url=/info.php?id=".$user['id']."] ".$user['nick']."[/url] Проголосовал".($user['pol'] == 0 ? 'а' : NULL)." за вашу страничку. Оценка ".$rating.". Ваш рейтинг повышен на [b]+1%[/b]!', '".$time."')");
mysql_query("UPDATE `user` SET `rating` ='".($ank['rating']+1)."' WHERE `id` = '".$ank['id']."' ");
$_SESSION['message'] = 'Ваша оценка + '.$rating.' принята!';
header("Location: info.php?id=".$ank['id']);
exit();
}
}
echo'<div class="mess">Проголосовать за страничку<br />';
for($x = 1;$x < 6;$x++){
echo '<a class="rating"  href="info.php?id='.$ank['id'].'&amp;rating='.$x.'"> '.$x.'</a>';
}
echo '</div>';
}
}

